| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | List of all members
Tp::CallStream Class Reference
Client-side proxies » Channel proxies

The CallStream class provides an object representing a Telepathy Call.Stream. More...

`#include <TelepathyQt/CallStream>`

Inheritance diagram for Tp::CallStream:
[legend]

## Signals

void | localSendingStateChanged (Tp::SendingState localSendingState, const Tp::CallStateReason &reason)
void | remoteSendingStateChanged (const QHash< Tp::ContactPtr, Tp::SendingState > &remoteSendingStates, const Tp::CallStateReason &reason)
void | remoteMembersRemoved (const Tp::Contacts &remoteMembers, const Tp::CallStateReason &reason)
Signals inherited from Tp::DBusProxy
void | invalidated (Tp::DBusProxy *proxy, const QString &errorName, const QString &errorMessage)
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Public Member Functions

| ~CallStream ()
CallContentPtr | content () const
Contacts | remoteMembers () const
bool | canRequestReceiving () const
SendingState | localSendingState () const
SendingState | remoteSendingState (const ContactPtr &contact) const
PendingOperation * | requestSending (bool send)
PendingOperation * | requestReceiving (const ContactPtr &contact, bool receive)
Public Member Functions inherited from Tp::StatefulDBusProxy
| StatefulDBusProxy (const QDBusConnection &dbusConnection, const QString &busName, const QString &objectPath, const Feature &featureCore)
virtual | ~StatefulDBusProxy ()
Public Member Functions inherited from Tp::DBusProxy
| DBusProxy (const QDBusConnection &dbusConnection, const QString &busName, const QString &objectPath, const Feature &featureCore)
virtual | ~DBusProxy ()
QDBusConnection | dbusConnection () const
QString | busName () const
QString | objectPath () const
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()
Public Member Functions inherited from Tp::ReadyObject
| ReadyObject (RefCounted *object, const Feature &featureCore)
| ReadyObject (DBusProxy *proxy, const Feature &featureCore)
virtual | ~ReadyObject ()
virtual bool | isReady (const Features &features=Features()) const
virtual PendingReady * | becomeReady (const Features &requestedFeatures=Features())
virtual Features | requestedFeatures () const
virtual Features | actualFeatures () const
virtual Features | missingFeatures () const
Public Member Functions inherited from Tp::OptionalInterfaceFactory< CallStream >
| OptionalInterfaceFactory (CallStream *this_)
| ~OptionalInterfaceFactory ()
QStringList | interfaces () const
bool | hasInterface (const QString &name) const
Interface * | optionalInterface (InterfaceSupportedChecking check=CheckInterfaceSupported) const
Interface * | interface () const

## Additional Inherited Members

Public Types inherited from Tp::OptionalInterfaceFactory< CallStream >
enum | InterfaceSupportedChecking
Static Public Member Functions inherited from Tp::StatefulDBusProxy
static QString | uniqueNameFrom (const QDBusConnection &bus, const QString &wellKnownOrUnique)
static QString | uniqueNameFrom (const QDBusConnection &bus, const QString &wellKnownOrUnique, QString &error, QString &message)
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
Protected Member Functions inherited from Tp::DBusProxy
void | setBusName (const QString &busName)
void | invalidate (const QString &reason, const QString &message)
void | invalidate (const QDBusError &error)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)
Protected Member Functions inherited from Tp::ReadyObject
ReadinessHelper * | readinessHelper () const
Protected Member Functions inherited from Tp::OptionalInterfaceFactory< CallStream >
void | setInterfaces (const QStringList &interfaces)
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

The CallStream class provides an object representing a Telepathy Call.Stream.

Instances of this class cannot be constructed directly; the only way to get one is via CallContent.

See Asynchronous Object Model

## Constructor & Destructor Documentation

## § ~CallStream()

Tp::CallStream::~CallStream | ( |  | ) |

Class destructor.

## Member Function Documentation

## § content()

CallContentPtr Tp::CallStream::content | ( |  | ) | const

Return the content owning this call stream.

Returns
  The content owning this call stream.

## § remoteMembers()

Contacts Tp::CallStream::remoteMembers | ( |  | ) | const

Return the contacts whose the call stream is with.

Returns
  The contacts whose the call stream is with.

See also
  remoteMembersRemoved()

## § canRequestReceiving()

bool Tp::CallStream::canRequestReceiving | ( |  | ) | const

Returns whether the user can request that a remote contact starts sending on this stream. Not all protocols allow the user to ask the other side to start sending media.

Returns
  true if the user can request that a remote contact starts sending on this stream, or false otherwise.

See also
  requestReceiving()

## § localSendingState()

SendingState Tp::CallStream::localSendingState | ( |  | ) | const

Return the call stream local sending state.

Returns
  The call stream local sending state.

See also
  localSendingStateChanged()

## § remoteSendingState()

SendingState Tp::CallStream::remoteSendingState | ( | const ContactPtr & | contact | ) | const

Return the call stream remote sending state for a given contact.

Returns
  The call stream remote sending state for a contact.

See also
  remoteSendingStateChanged()

## § requestSending()

PendingOperation * Tp::CallStream::requestSending | ( | bool | send | ) |

Request that media starts or stops being sent on this call stream.

Returns
  A PendingOperation which will emit PendingOperation::finished when the call has finished.

See also
  localSendingStateChanged()

## § requestReceiving()

PendingOperation * Tp::CallStream::requestReceiving | ( | const ContactPtr & | contact,
|  | bool | receive
| ) |  |

Request that a remote contact stops or starts sending on this call stream.

Returns
  A PendingOperation which will emit PendingOperation::finished when the call has finished.

See also
  remoteSendingStateChanged()

## § localSendingStateChanged

void Tp::CallStream::localSendingStateChanged | ( | Tp::SendingState | localSendingState,
|  | const Tp::CallStateReason & | reason
| ) |  |

signal

This signal is emitted when the local sending state of this call stream changes.

Parameters

  localSendingState | The new local sending state of this call stream.
  reason | The reason that caused this change

See also
  localSendingState()

## § remoteSendingStateChanged

void Tp::CallStream::remoteSendingStateChanged | ( | const QHash< Tp::ContactPtr, Tp::SendingState > & | remoteSendingStates,
|  | const Tp::CallStateReason & | reason
| ) |  |

signal

This signal is emitted when any remote sending state of this call stream changes.

Parameters

  remoteSendingStates | The new remote sending states of this call stream.
  reason | The reason that caused these changes

See also
  remoteSendingState()

## § remoteMembersRemoved

void Tp::CallStream::remoteMembersRemoved | ( | const Tp::Contacts & | members,
|  | const Tp::CallStateReason & | reason
| ) |  |

signal

This signal is emitted when one or more members of this stream are removed.

Parameters

  members | The members that were removed from this call stream.
  reason | The reason for that caused these removals

See also
  remoteMembers()